تحقق مما إذا كان مستعرض الويب الخاص بك يعمل بشكل جيد مع إصدار Blackboard Learn لديك أم لا.

عند استخدام قارئ شاشة، استخدم Firefox®‎ وJAWS®‎ في Windows®‎ واستخدم Safari®‎ وVoiceOver على Mac®‎. راجع إمكانية وصول ذوي الاحتياجات الخاصة لمعرفة المزيد حول نهج Blackboard في التعامل مع البرامج التي تسهل وصول ذوي الاحتياجات الخاصة.

المستعرضات المدعومة

لمزيد من المعلومات العامة حول Javascript وملفات تعريف الارتباط والبرامج الأخرى، راجع موضوع "سياسة دعم المستعرض" في هذا القسم.

يمكن أن يتم تقديم مقررك الدراسي بطريقة العرض الأصلية أو طريقة عرض Ultra للمقرر الدراسي. راجع الجداول أدناه لمعرفة ما إذا كان المستعرض يدعم طريقة عرض المقرر الدراسي الخاصة بك أم لا.

الإصدار 42 فما أحدث من Google Chrome، والإصدار 52 فما أحدث من Mozilla Firefox، وMicrosoft Edge لا تدعم المكونات الإضافية من النوع NPAPI. وذلك يتضمن مكونات Java الإضافية والعديد من المكونات الإضافية لمستعرض الوسائط. لا تدعم Blackboard هذه المستعرضات في الحالات التالية:
1) مع أنواع الوسائط المضمنة التي تحتاج إلى مكونات NPAPI الإضافية من جهات خارجية لعرضها
2) واجهة رفع الملفات المتعددة الموجودة في مركز ملفات المحتوى. تدعم هذه المستعرضات واجهات رفع الملفات المتعددة الأخرى.

المستعرضات المدعومة
 إصدارات مستعرضات سطح المكتبإصدارات مستعرضات الأجهزة المحمولة1
Chrome‎49+‎‎49+‎
Edge‎20+‎‎20+‎
Firefox‎48+‎‎48+‎
Internet Explorer2غير مدعومغير مدعوم
مستعرض Safari‎9+‎باستخدام iOS 11+

1. كما يتم دعم مستعرضات الأجهزة المحمولة الخاصة بالواجهة "الأصلية". إلا إنه لا يتم دعم الأشكال الأقدم في هذه المستعرضات على الرغم من نجاح المستخدمين في استخدامها. يعد تطبيق Blackboard وBlackboard Instructor وBb Grader تطبيقات أصلية مدعومة للأجهزة المحمولة والأجهزة اللوحية التي تتفاعل مع خوادم Blackboard Learn 9.1. قد يكون لهذه التطبيقات متطلبات الأجهزة الخاصة بها.

2. أنهت Microsoft التطوير النشط لبرنامج Internet Explorer في يناير 2016. وقد لا تعمل بعض الميزات الأحدث في Learn، يما في ذلك "الحضور" و"إنشاء التسجيل". لن يتم حل المشكلات التي تم حصرها بشأن Internet Explorer والإبلاغ عنها بواسطة "دعم المنتج". لذلك نوصي باستخدام مستعرض آخر.

ULTRA: المستعرضات المعتمدة

المستعرضات المدعومة
 إصدارات مستعرضات سطح المكتبإصدارات مستعرضات الأجهزة المحمولة والأجهزة اللوحية
مستعرض Androidغير متاح‎4+‎
Chrome‎49+‎‎49+‎
Edge‎20+‎‎20+‎
Firefox‎48+‎غير مدعوم
مستعرض Internet Explorerغير مدعومغير مدعوم
مستعرض Safari‎9+‎‎9+‎

التكوين الأكثر شيوعًا في Blackboard لاختبار الميزات الجديدة في واجهة Ultra هو Mac OS + Google Chrome. نقوم بإجراء مزيد من الاختبارات على أحدث إصدارات من Mozilla Firefox وApple Safari وMicrosoft Edge.


أنظمة التشغيل والأجهزة التي تم اختبارها

يقوم Blackboard باختبار المستعرضات التي تستخدم  مجموعة  متنوعة من الأجهزة وأنظمة التشغيل. ولا يقتصر الدعم على أنظمة التشغيل المحددة هذه. ندعم إصدارات مستعرضات سطح المكتب بغض النظر عن الجهاز أو نظام التشغيل المعين الذي يعمل عليه.

الأجهزة المُستخدمة للاختبار
الفئةتم اختباره
أنظمة التشغيلWindows 7، وWindows 8، وWindows 10، وMac OS 10.8، وMac OS 10.9، وMac OS 10.10، وiOS، وAndroid، وWindows Mobile، وChrome OS
أجهزة iOSiPod Touch، وiPhone 4S، وiPhone 5S، وiPhone5c، وiPhone 6، وiPad 2، وiPad 3, وiPad Mini 3، وiPad Air 2
أجهزة AndroidGalaxy S4، وGalaxy S5، وHTC G1، وLG C800 myTouch، وHTC One، وGalaxy Note 2014، وHTC One M8
أجهزة Windows MobileVenue 8 Pro، وLumia 520، وLumia 930
أجهزة Chrome OSChromebook (مستعرض Chrome؛ الميزات التي تتطلب مكونات إضافية من النوع NPAPI غير مدعومة)

تسعى Blackboard جاهدة لتوفير إمكانية الوصول إلى جميع منتجاتها قدر الإمكان. نستخدم أحدث إصدارين من JAWS أثناء اختبار إمكانية الوصول لكل إصدار من Blackboard Learn.

Java والمكونات الإضافية الأخرى للمستعرض

تتطلب منك بعض الميزات في Blackboard Learn تثبيت برامج إضافية. وبدون البرامج، لا تعمل الميزات نفسها. تحتوي ميزات Blackboard Learn التالية على متطلبات المكونات الإضافية:

  • تتطلب عمليات رفع الملفات المتعددة في ملفات المقرر الدراسي ومركز ملفات المحتوى تمكين المكون الإضافي للمستعرض Java Runtime Environment (JRE) من Oracle. لا تتضمن أداة رفع الملفات الفردية وجود JRE. وقّعت Blackboard على التطبيق الصغير للرفع. وهو يتضمن مرجع الطابع الزمني الذي يسمح للتطبيق الصغير بالتشغيل حتى بعد انتهاء صلاحية الشهادة.
  • تتطلب ميزات الاتصال المتزامنة الخاصة بـ"حجرة المقرر الدراسي" وBlackboard Collaborate، المتاحة عبر Building Block، تحميل Blackboard Collaborate Launcher وتثبيته ولكنها لا تتطلب المكون الإضافي للمستعرض Java JRE.

    المشغل ليس مطلوبًا إلا لـ Blackboard Collaborate المزود بالواجهة الأصلية. لا يتطلب Blackboard Collaborate with the Ultra experience القيام بأي تحميل.

توصي Blackboard بالإصدارين 7 و8 من JRE للميزات التي تعتمد عليها. قد يعمل الإصدار 6 من JRE، لكن قد يتسبب في حدوث سلوك غير متوقع. تقر Oracle بوجود بعض المشكلات المتعلقة بالأمان في الإصدار 6 من JRE.

لا يتطلب Blackboard Learn أية مكونات إضافية أخرى للمستعرض. لمعرفة المزيد حول المكونات الإضافية للمستعرض والتقنية المساعدة وبرامج الدعم الأخرى، راجع موضوع "سياسة دعم المستعرض" في هذا القسم.


دعم مستعرض Analytics for Learn

تقدم Analytics for Learn تقارير وتصورات باستخدام أدوات معلومات مهنية تنتمي لجهات خارجية مقدّمة من شركاء Blackboard، وخاصة Microsoft (أداة Reporting Services) للتقارير المضمّنة والأداة الهرمية (الأداة الهرمية من BI Office) لإنشاء لوحات المعلومات. هذه المنتجات لها التزاماتها الخاصة لدعم المستعرض. ونتيجة لذلك، تكون التفاصيل التالية عرضة للتغيير بناءً على قرارات المنتجات التي يتخذها شركاؤنا.

تقارير Analytics for Learn التي يتم عرضها داخل واجهة Learn مدعومة في جميع المستعرضات ذاتها التي يعمل عليها تطبيق Learn. كما إن التقارير المستقلة لـ Microsoft Reporting Services مدعومة في نفس مستعرضات Learn. راجع موقع Microsoft على الويب للحصول على مزيد من المعلومات حول دعم المستعرض لـ Microsoft Reporting Services.

لعرض لوحات معلومات Pyramid، يلزم توافر مستعرض متوافق مع HTML-5. لإنشاء لوحات معلومات Pyramid، يلزم توافر مستعرض متوافق مع NPAPI نظرً لاستخدام أداة إنشاء Pyramid للمكون الإضافي Microsoft Silverlight. توقف Google Chrome عن دعم NPAPI، وبالتالي هذا المستعرض غير متوافق. ويجب على مستخدمي Firefox أو Safari تثبيت المكون الإضافي Silverlight وتكوينه لاستخدامه في المستعرض الخاص بهم.


ملاحظات التكوين

  • برنامج Java في الإصدار ‎10.8+‎ من نظام التشغيل Mac OS X الخاص بواجهات Blackboard Learn 9.1 الأصلية: لم يعد يتم شحن Java كجزء من تثبيت نظام التشغيل. يجب عليك تنزيل وتثبيت Java عندما يطلبه التطبيق/التطبيق الصغير. ما عليك سوى أن تفعل ذلك مرة واحدة.

التغييرات الطارئة على تقنيات العميل من الإصدارات السابقة

  • انتهى دعم مستعرض Internet Explorer.
  • لقد قمنا بتوسيع أنواع وإصدارات المستعرضات المدعومة لتضمين أنظمة تشغيل وتنسيقات إضافية مثل الأجهزة المحمولة والأجهزة اللوحية.

التقنيات غير المدعومة

  • Windows XP
  • أنظمة التشغيل Windows وMac OS وLinux التي لا تستخدم مستعرضًا مدعومًا
  • مستعرض Internet Explorer
  • الإصدار 48 من مستعرض Firefox والإصدارات الأقل
  • الإصدار 49 من مستعرض Chrome والإصدارات الأقل
  • الإصدار 9 فأقل من مستعرض Safari
  • الإصدار 5 من JRE لواجهات المستخدم الأصلية لتطبيق Blackboard Learn

دعم الواجهات المزودة بالواجهة الأصلية

ينطبق هذا القسم على مستخدمي Blackboard Learn SaaS فقط.

لم يتم تحديث بعض واجهات المستخدم في تطبيق Blackboard Learn في نشر SaaS بواجهات Ultra حتى الآن. تتضمن هذه الواجهات، على سبيل المثال لا الحصر، المناطق التالية:

  • "طريقة العرض الأصلية للمقرر الدراسي" - باستخدام طريقة العرض الأصلية للمقرر الدراسي لـ Blackboard Learn 9.1
  • مناطق تكوين المسؤول
  • Content Collection
  • استطلاعات Enterprise
  • مدير الأهداف
  • ميزات تقييم Outcomes

هذه الواجهات التي تعمل باستخدام الواجهة الأصلية غير مدعومة للعمل على الأجهزة اللوحية والأجهزة المحمولة، وذلك على الرغم من احتمالية نجاح المستخدمين في تشغيلها على هذه الأجهزة.